cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/cert-manager/syncs/gcp-certificate-manager/{pkiSyncId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isAutoSyncEnabled": true,
"subscriberId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": {
"profileIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"certificateOrderIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}
'import requests
url = "https://us.infisical.com/api/v1/cert-manager/syncs/gcp-certificate-manager/{pkiSyncId}"
payload = {
"name": "<string>",
"description": "<string>",
"isAutoSyncEnabled": True,
"subscriberId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": {
"profileIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"certificateOrderIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isAutoSyncEnabled: true,
subscriberId: '<string>',
connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filters: {
profileIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
certificateOrderIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
metadata: [{key: '<string>', value: '<string>'}]
}
})
};
fetch('https://us.infisical.com/api/v1/cert-manager/syncs/gcp-certificate-manager/{pkiSyncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"destination": "gcp-certificate-manager",
"isAutoSyncEnabled": true,
"destinationConfig": {
"gcpProjectId": "<string>",
"location": "<string>",
"certificateMapBinding": {
"certificateMap": "<string>",
"hostname": "<string>"
},
"scope": "default"
},
"syncOptions": {
"certificateNameSchema": "<string>",
"canRemoveCertificates": true,
"includeRootCa": false,
"preserveItemOnRenewal": true,
"healthCheckCommand": "<string>",
"canImportCertificates": false,
"labels": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"subscriberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncStatus": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"lastHealthCheckRanAt": "2023-11-07T05:31:56Z",
"lastHealthCheckStatus": "pending",
"lastHealthCheckMessage": "<string>",
"filters": {
"profileIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"certificateOrderIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Update GCP Certificate Manager PKI Sync
Update the specified GCP Certificate Manager PKI Sync.
PATCH
/
api
/
v1
/
cert-manager
/
syncs
/
gcp-certificate-manager
/
{pkiSyncId}
cURL
Path Parameters
Body
application/json
Required string length:
1 - 256Maximum string length:
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Replaces which of the Application's certificates this sync holds. Omit to leave them unchanged, or set to null to empty the sync.
Show child attributes
Show child attributes
Response
Default Response
Maximum string length:
256Available options:
gcp-certificate-manager Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
pending, running, succeeded, failed Which of the Application's certificates this sync holds. A certificate must match every field that is set, and a sync with no filters holds nothing.
Show child attributes
Show child attributes
Was this page helpful?